import React from "react";
import { SearchBox } from "./search.style";
import { useHistory } from "react-router-dom";

const SearchInput = ({ placeholder, ...rest }) => {
  const history = useHistory();
  const toSearchPage = () => {
    if (history.location.pathname.includes("/home")) {
      history.push("/search");
    }
  };

  return (
    <>
      <SearchBox
        placeholder={placeholder}
        clearable
        onFocus={toSearchPage}
        {...rest}
      />
    </>
  );
};

export default SearchInput;
