import { lazy } from "react";

export default [
  {
    path: "/",
    component: lazy(() => import("../Views/Login/Login")),
  },
  {
    path: "/login",
    component: lazy(() => import("../Views/Login/Login")),
  },
  {
    path: "/register",
    component: lazy(() => import("../Views/Login/Register")),
  },
  {
    path: "/home",
    component: lazy(() => import("../Views/Home/Home")),
  },
  {
    path: "/shop",
    component: lazy(() => import("../Views/Shop")),
  },
  {
    path: "/favorite",
    component: lazy(() => import("../Views/Favorite")),
  },
  {
    path: "/user",
    component: lazy(() => import("../Views/User")),
  },
  {
    path: "/search",
    component: lazy(() => import("../Views/Search/Search")),
  },
  
];
