import React, { useEffect, useState } from "react";
import { PageStyle } from "../pageCommon.style";
import SearchInput from "../../Components/SearchInput/searchInput";
import Banner from "../../Components/Banner/Banner"
import api from "../../Api/nodeApi"

const Home = () => {
  const [bannerList,setBannerList] = useState([])
  useEffect(()=>{
    api.recommendApi().then(res=>{
      setBannerList(res)
    })
  },[])
  return (
    <PageStyle>
      <SearchInput placeholder="搜索商品..." />
      <Banner list={bannerList}/>
    </PageStyle>
  );
};

export default Home;
