import React from "react";
import { useHistory } from 'react-router-dom';
import { LoginPage, LoginBtn, Btn } from "./Login.style";

const Login = () => {
  const history = useHistory();
  const toLanding = (type)=>{
    history.push('/register?type=' + type);
  }

  return (
    <LoginPage>
      <LoginBtn>
        <Btn block onClick={()=>{toLanding('land')}} txtColor="#419B92" bgColor="#fff">
          登陆
        </Btn>
        <Btn block onClick={()=>{toLanding('registered')}} txtColor="#fff" bgColor="#419B92">注册</Btn>
      </LoginBtn>
    </LoginPage>
  );
};

export default Login;
