import styled from "styled-components";
import { Button, Form, Modal } from "antd-mobile";

export const RegisterPage = styled.div`
  padding: 10% 20%;
`;

export const RegForm = styled(Form.Item)`
  .adm-form-item-label {
    color: #419b92;
    font-size: 14px !important;
  }
  .adm-input {
    height: 30px;
  }
  .adm-input-element {
    font-size: 14px !important;
  }
  input:-internal-autofill-previewed,
  input:-internal-autofill-selected {
    transition: background-color 5000s ease-in-out 0s !important;
  }
`;

export const SubmitBtn = styled(Button)`
  font-size: 14px;
  background-color: #419b92;
  color: #fff;
  width: 100%;
  height: 40px;
  border-radius: 10px;
  margin-top: 20px;
`;

export const PasswordInput = styled.div`
  display: flex;
  align-items: center;
  input {
    flex: auto;
  }
  .eye {
    flex: none;
    margin-left: 8px;
    padding: 4px;
    cursor: pointer;
    svg {
      display: block;
    }
  }
`;

export const ModalCard = styled(Modal)`
  .adm-auto-center-content,
  button>span {
    font-size: 14px;
  }
`;
