import React from "react";
import ReactDOM from "react-dom/client";
import { Provider as ReduxProvider } from 'react-redux';
import reportWebVitals from "./reportWebVitals";
import RouteSwitch from "./Routers/RouteSwitch";
import 'antd-mobile-v2/dist/antd-mobile.less'
import './index.css'
import store from './Store/index'

const root = ReactDOM.createRoot(document.getElementById("root"));
root.render(
  <ReduxProvider store={store}>
    <RouteSwitch />
  </ReduxProvider>
);
reportWebVitals();