import styled from "styled-components";

export const HeaderBlock = styled.div`
  position: fixed;
  top: 0;
  z-index:2;
  width: calc(100% - 32px);
  display: flex;
  background-color:#fff;
  border-bottom:1px solid #f3f3f3;
  justify-content: space-between;
  padding: 16px;
  height: 20px;
  line-height: 20px;
  svg {
    width: 20px;
    height: 20px;
  }
`;

export const TipIcon = styled.div`
  position: absolute;
  width: 10px;
  height: 10px;
  right: 16px;
  background: #e4393c;
  border-radius: 50%;
`;
