import { useLocation } from "react-router-dom";
import { useState, useEffect } from "react";

// 是否展示头/尾组件
export const useCommonComponent = () => {
  const { pathname } = useLocation();
  const [isShow, setShowComp] = useState(false);
  useEffect(() => {
    if (pathname !== "/" && pathname !== "/login" && pathname !== "/register") {
      setShowComp(true);
    } else {
      setShowComp(false);
    }
  }, [pathname]);
  return isShow;
};
