import styled from "styled-components";
import LoginBg from "../../assets/images/login.png";
import { Button } from "antd-mobile";

export const LoginPage = styled.div`
  width: 100%;
  height: 100vh;
  background: url(${LoginBg});
`;

export const LoginBtn = styled.div`
  position: absolute;
  bottom: 15%;
  width: 70%;
  padding: 0 15%;
`;

export const Btn = styled(Button)`
  margin-bottom: 30px;
  height: 40px;
  line-height: 20px;
  font-size: 14px;
  color: ${(props) => props.txtColor};
  background-color: ${(props) => props.bgColor};
  border: transparent;
`;
